*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --main-font: 'Major Mono Display', monospace;
    --secondary-font: 'Gugi', cursive;
    --main-font-color-dark: #121212;
    --main-font-color-light: #E4E3E2;
    --main-font-color-cyan: #00BCD4;
}

html {
    font-family: var(--body-font);
    font-size: 10px;
    color: var(--main-font-color-dark);
    background-color: var(--main-font-color-light);
    scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
}

section {
    padding: 3.9rem 0;
    overflow: hidden;
}

img {
    width: 100%;
    max-width: 100%;
}

.container {
    width: 100%;
    max-width: 122.5rem;
    margin: 0 auto;
    padding: 0 2.4rem;
}

.title {
    width: 100%;
    height: 100vh;
    background: url("titleBackground.jpg") center no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    text-align: center;
}

.sub-headline {
    font-size: 5rem;
    font-family: var(--secondary-font);
    color: var(--main-font-color-cyan);
    font-weight: 100;
    letter-spacing: -1px;
    line-height: .40;
    opacity: 0;
    animation: fadeUp .5s forwards;
    animation-delay: .5s;
}

.headline {
    color: var(--main-font-color-light);
    font-size: 3.5rem;
    font-family: var(--main-font);
    text-transform: uppercase;
    animation: scale .5s forwards;
}

/* media queries */
@media screen and (min-width: 700px){
    section {
        padding: 4rem;
    }

    .sub-headline {
        font-size: 8rem;
    }

    .headline {
        font-size: 6rem;
    }
}

/* animations */
@keyframes fadeUp {
    0%{
        transform: translateY(4rem);
    }
    100%{
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes scale {
    0%{
        transform: scale(2);
    }
    100%{
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes grow {
    0%{
        width: 0;
    }
    100%{
        opacity: 1;
        width: 100%;
    }
}

@keyframes fadeDown {
    0%{
        transform: translateY(-1rem);
    }
    100%{
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes up {
    0%{
        opacity: 0;
    }
    50%{
        opacity: 1;
    }
    100%{
        opacity: 0;
        transform: translateY(-1rem);
    }
}